import hypermedia.video.*;

// Objeto do OpenCV 
OpenCV opencv;

// Tamanho da Imagem a ser capturada da webcam
final int IMG_WIDTH  = 320;
final int IMG_HEIGHT = 240;



void setup() {

  // Tamanho da tela
  size( IMG_WIDTH, IMG_HEIGHT);

  // Instancia o OpenCV
  opencv = new OpenCV(this);
  // Inicializa a captura
  opencv.capture(IMG_WIDTH, IMG_HEIGHT);
}

void draw() {
  // Lê imagem
  opencv.read();
  // Mostra na tela
  image( opencv.image(), 0, 0 );
}

// Para tudo
public void stop() {
  opencv.stop();
  super.stop();
}
